import '../entities/news.dart';
import '../repositories/news_repository.dart';

class GetNewsByIdUsecase {
  final NewsRepository repository;

  GetNewsByIdUsecase(this.repository);

  Future<NewsEntity> call(int id) {
    return repository.getNewsById(id);
  }
}